package com.joe.print.mvp.model.bean;

public class PrintInfoBean {

    //數組多長就有多少列
    private String[] content;

    //private int[] widght;//每列佔比權重

    private Boolean[] isBold = new Boolean[]{false};

    private int[] color = new int[]{0};

    private double[] size = new double[]{1};

    //語言，每列是什麼語言
    private String[] Language = new String[]{"tw"};
    //content數量為1時才生效，默認居中
    private int gravity = 1;

    public PrintInfoBean(String[] content) {
        this.content = content;
    }

    public PrintInfoBean(String[] content, String[] language) {
        this.content = content;
        Language = language;
    }

    public PrintInfoBean(String[] content, double[] size) {
        this.content = content;
        this.size = size;
    }

    public PrintInfoBean(String[] content, double[] size, String[] language) {
        this.content = content;
        this.size = size;
        Language = language;
    }



    public PrintInfoBean(String[] content, int gravity) {
        this.content = content;
        this.gravity = gravity;
    }

    public PrintInfoBean(String[] content, Boolean[] isBold) {
        this.content = content;
        this.isBold = isBold;
    }

    public PrintInfoBean(String[] content, double[] size, int gravity) {
        this.content = content;
        this.size = size;
        this.gravity = gravity;
    }

    public PrintInfoBean(String[] content, Boolean[] isBold, int gravity) {
        this.content = content;
        this.isBold = isBold;
        this.gravity = gravity;
    }

    public PrintInfoBean(String[] content, Boolean[] isBold, double[] size) {
        this.content = content;
        this.isBold = isBold;
        this.size = size;
    }

    public PrintInfoBean(String[] content, Boolean[] isBold, double[] size, String[] language) {
        this.content = content;
        this.isBold = isBold;
        this.size = size;
        Language = language;
    }

    public PrintInfoBean(String[] content, Boolean[] isBold, double[] size, int gravity) {
        this.content = content;
        this.isBold = isBold;
        this.size = size;
        this.gravity = gravity;
    }

    public String[] getContent() {
        return content;
    }

    public void setContent(String[] content) {
        this.content = content;
    }

    public Boolean[] getIsBold() {
        return isBold;
    }

    public void setIsBold(Boolean[] isBold) {
        this.isBold = isBold;
    }

    public int[] getColor() {
        return color;
    }

    public void setColor(int[] color) {
        this.color = color;
    }

    public double[] getSize() {
        return size;
    }

    public void setSize(double[] size) {
        this.size = size;
    }

    public int getGravity() {
        return gravity;
    }

    public void setGravity(int gravity) {
        this.gravity = gravity;
    }

    public String[] getLanguage() {
        return Language;
    }

    public void setLanguage(String[] language) {
        Language = language;
    }
}
